Bug 102313 - Keyboard customization partially fails on first attempt
Summary: Keyboard customization partially fails on first attempt
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.1.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shortcuts-Accelerators
  Show dependency treegraph
 
Reported: 2016-09-20 17:17 UTC by Gil Shwartz
Modified: 2019-12-03 13:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gil Shwartz 2016-09-20 17:17:12 UTC
When trying to override the default keyboard configuration of the left and right (arrows) shortcut keys, the first override sequence partially fails, i.e. not all modifications are saved. This is also true when loading a keyboard configuration from a file. I am not sure if this is unique to the left and right arrow key or any two shortcut keys (previously defined or not).

Here are the steps to reproduce:

1. Start a fresh LO.
2. Type some text and verify that the left and right key function correctly and according to the default configuration.
3. Select Tools > Customize > Keyboard tab.
4. Save the default keyboard configuration to a new file.

5. Select Navigate in Category.
6. Select Goto Right in Function.
7. Select Left in Shortcut Key.
8. Click Modify.
9. Select To Character Left in Function.
10. Select Right in Shortcut Key.
11. Click Modify.
12. Click OK.
13. Type some text and try to navigate with the left and right keys - the cursor moves only left.

14. Repeat steps 2-6.
15. Click OK.
16. Navigate with the left and right keys - while intentionally opposite, the keys function correctly.

17. Select Tools > Customize > Keyboard tab.
18. Save the modified keyboard configuration to a new file.
19. Load the default keyboard configuration from the saved file.
20. Click OK.
21. Verify that the left and right key function correctly and according to the default configuration.

22. Select Tools > Customize > Keyboard tab.
23. Load the modified keyboard configuration from the saved file.
20. Click OK.
24. Navigate with the left and right keys - the same problem as in step 13 reappears.
Comment 1 Gil Shwartz 2016-09-20 17:20:18 UTC
Sorry. In the steps to reproduce, step 14 should be:

14a. Select Tools > Customize > Keyboard tab.
14b. Repeat steps 5-8.
Comment 2 Buovjaga 2016-10-11 17:35:52 UTC
Btw. what is the intended purpose when you try to switch left and right arrows?
Comment 3 Aron Budea 2016-10-11 21:33:18 UTC
In the meantime I can confirm the behavior with v5.2.2.2 / Windows 7.
Strange that the exchanged shortcuts don't work on first try, but work on second try.
Comment 4 Aron Budea 2016-10-11 21:35:02 UTC
By try, I mean customization attempt.
Comment 5 Gil Shwartz 2016-10-12 00:08:58 UTC
(In reply to Buovjaga from comment #2)
> Btw. what is the intended purpose when you try to switch left and right
> arrows?

The original intent was to work around a regression bug in 5.2 involving keyboard navigation in RTL text. There is an open bug on this issue and the code change causing this regression is expected to be reversed in 5.2.3.
Comment 6 QA Administrators 2017-10-23 14:00:58 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2019-12-03 13:52:56 UTC
Dear Gil Shwartz,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug